Debian Bug report logs - #474804
zsnes: FTBFS: tools/strutil.h:34: error: 'strncasecmp' was not declared in this scope

version graph

Package: zsnes; Maintainer for zsnes is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for zsnes is src:zsnes.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 7 Apr 2008 19:48:57 UTC

Severity: serious

Tags: patch

Found in version zsnes/1.510-2

Fixed in version zsnes/1.510-2.1

Done: Ian Beckwith <ianb@erislabs.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joshua Kwan <joshk@triplehelix.org>:
Bug#474804; Package zsnes. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Joshua Kwan <joshk@triplehelix.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: zsnes: FTBFS: tools/strutil.h:34: error: 'strncasecmp' was not declared in this scope
Date: Mon, 7 Apr 2008 21:29:43 +0200
Package: zsnes
Version: 1.510-2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080407 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

This rebuild was done with gcc 4.3 instead of gcc 4.2, because gcc 4.3 is now
the default on most architectures (even if it's not the case on i386 yet).
Feel free to downgrade this bug to 'important' if your package is only built
on i386, and this bug is specific to gcc 4.3 (i.e the package builds fine with
gcc 4.2).

Relevant part:
> g++  -pipe -I. -I/usr/local/include -I/usr/include -D__UNIXSDL__  -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT  -DNO_DEBUGGER -D__LIBAO__ -D__OPENGL__ -march=i486 -O3 -fomit-frame-pointer -fprefetch-loop-arrays -fforce-addr -s -D__RELEASE__ -o tools/strutil.o -c tools/strutil.cpp
> tools/strutil.cpp:1: warning: -fprefetch-loop-arrays not supported for this target (try -march switches)
> In file included from tools/strutil.cpp:22:
> tools/strutil.h: In static member function 'static int ci_char_traits::compare(const char*, const char*, size_t)':
> tools/strutil.h:34: error: 'strncasecmp' was not declared in this scope
> make[1]: *** [tools/strutil.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2008/04/07

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Kwan <joshk@triplehelix.org>:
Bug#474804; Package zsnes. Full text and rfc822 format available.

Acknowledgement sent to Ian Beckwith <ianb@erislabs.net>:
Extra info received and forwarded to list. Copy sent to Joshua Kwan <joshk@triplehelix.org>. Full text and rfc822 format available.

Message #10 received at 474804@bugs.debian.org (full text, mbox):

From: Ian Beckwith <ianb@erislabs.net>
To: 474804@bugs.debian.org
Cc: control@bugs.debian.org
Subject: proposed NMU patch for #474804
Date: Fri, 11 Apr 2008 01:05:18 +0100
[Message part 1 (text/plain, inline)]
tags 474804 + patch
thanks

Hi,

Attached patch fixes FTBFS with gcc-4.3

Changelog:

zsnes (1.510-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS (Closes: #474804).

 -- Ian Beckwith <ianb@erislabs.net>  Thu, 10 Apr 2008 22:20:59 +0100


Two files attached:

zsnes-1.510-2--1.510-2.1.patch - full diff against last version
gcc-4.3-ftbfs.dpatch - just the dpatch

I'm doing this as part of NM T&S, hopefully my AM will upload this
soon.

New package is available at: 

http://erislabs.net/ianb/debian/zsnes_1.510-2.1.dsc

cheers,

Ian.

-- 
Ian Beckwith - ianb@erislabs.net - http://erislabs.net/ianb/
GPG fingerprint: AF6C C0F1 1E74 424B BCD5  4814 40EC C154 A8BA C1EA
Listening to: Skinny Puppy - Process - Amnesia
[gcc-4.3-ftbfs.dpatch (text/plain, attachment)]
[zsnes-1.510-2--1.510-2.1.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Ian Beckwith <ianb@erislabs.net> to control@bugs.debian.org. (Fri, 11 Apr 2008 00:03:07 GMT) Full text and rfc822 format available.

Reply sent to Ian Beckwith <ianb@erislabs.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 474804-close@bugs.debian.org (full text, mbox):

From: Ian Beckwith <ianb@erislabs.net>
To: 474804-close@bugs.debian.org
Subject: Bug#474804: fixed in zsnes 1.510-2.1
Date: Mon, 14 Apr 2008 08:47:22 +0000
Source: zsnes
Source-Version: 1.510-2.1

We believe that the bug you reported is fixed in the latest version of
zsnes, which is due to be installed in the Debian FTP archive:

zsnes_1.510-2.1.diff.gz
  to pool/main/z/zsnes/zsnes_1.510-2.1.diff.gz
zsnes_1.510-2.1.dsc
  to pool/main/z/zsnes/zsnes_1.510-2.1.dsc
zsnes_1.510-2.1_i386.deb
  to pool/main/z/zsnes/zsnes_1.510-2.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 474804@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ian Beckwith <ianb@erislabs.net> (supplier of updated zsnes package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 10 Apr 2008 22:20:59 +0100
Source: zsnes
Binary: zsnes
Architecture: source i386
Version: 1.510-2.1
Distribution: unstable
Urgency: high
Maintainer: Joshua Kwan <joshk@triplehelix.org>
Changed-By: Ian Beckwith <ianb@erislabs.net>
Description: 
 zsnes      - Emulator of the Super Nintendo Entertainment System (TM)
Closes: 474804
Changes: 
 zsnes (1.510-2.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Fix gcc-4.3 FTBFS (Closes: #474804).
Checksums-Sha1: 
 7847e981494540c2e91431b382594f581133078b 1064 zsnes_1.510-2.1.dsc
 8c46ec2c75f6f3e3ba878b099d58286d72592c8d 15236 zsnes_1.510-2.1.diff.gz
 565da9ead3404d9ebe58904bdbc5c04c627787e2 900092 zsnes_1.510-2.1_i386.deb
Checksums-Sha256: 
 a8577e9e17810431bcd617d0843498b74bc8fc34580c26a7ad0428bc0031c7a4 1064 zsnes_1.510-2.1.dsc
 dafdb37ac9fc789ef152d5d4997e6909ce68ad4586259391b0d6be97f81b7c87 15236 zsnes_1.510-2.1.diff.gz
 8094c93e8cd16397f95a7dd1888287b8adc48d3dbd29128c4e27cbb2fa4ded40 900092 zsnes_1.510-2.1_i386.deb
Files: 
 f6875b71e383f4bdc3c40e09f9762f1e 1064 otherosfs optional zsnes_1.510-2.1.dsc
 c95b63f6c2dd975808ac3df2afcd5546 15236 otherosfs optional zsnes_1.510-2.1.diff.gz
 f016f71fe9b278645bb28d885619b4ab 900092 otherosfs optional zsnes_1.510-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIAw7++C5cwEsrK54RAmABAJ9ZsQBR3l7BMCrRi19ppfiWyKuV+ACg4QIR
w7g9E9seUx+Qla2ykggd/JQ=
=M7pl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 May 2008 07:41:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:05:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.